<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.6.0_65) on Wed Jun 25 14:23:49 JST 2014 -->
<TITLE>
LeaderBean
</TITLE>

<META NAME="date" CONTENT="2014-06-25">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="LeaderBean";
    }
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">
<HR>


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../org/apache/zookeeper/server/quorum/Leader.XidRolloverException.html" title="class in org.apache.zookeeper.server.quorum"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../../org/apache/zookeeper/server/quorum/LeaderElection.html" title="class in org.apache.zookeeper.server.quorum"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html?org/apache/zookeeper/server/quorum/LeaderBean.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="LeaderBean.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;<A HREF="#fields_inherited_from_class_org.apache.zookeeper.server.ZooKeeperServerBean">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
org.apache.zookeeper.server.quorum</FONT>
<BR>
Class LeaderBean</H2>
<PRE>
java.lang.Object
  <IMG SRC="../../../../../resources/inherit.gif" ALT="extended by "><A HREF="../../../../../org/apache/zookeeper/server/ZooKeeperServerBean.html" title="class in org.apache.zookeeper.server">org.apache.zookeeper.server.ZooKeeperServerBean</A>
      <IMG SRC="../../../../../resources/inherit.gif" ALT="extended by "><B>org.apache.zookeeper.server.quorum.LeaderBean</B>
</PRE>
<DL>
<DT><B>All Implemented Interfaces:</B> <DD>org.apache.zookeeper.jmx.ZKMBeanInfo, <A HREF="../../../../../org/apache/zookeeper/server/quorum/LeaderMXBean.html" title="interface in org.apache.zookeeper.server.quorum">LeaderMXBean</A>, <A HREF="../../../../../org/apache/zookeeper/server/ZooKeeperServerMXBean.html" title="interface in org.apache.zookeeper.server">ZooKeeperServerMXBean</A></DD>
</DL>
<HR>
<DL>
<DT><PRE>public class <B>LeaderBean</B><DT>extends <A HREF="../../../../../org/apache/zookeeper/server/ZooKeeperServerBean.html" title="class in org.apache.zookeeper.server">ZooKeeperServerBean</A><DT>implements <A HREF="../../../../../org/apache/zookeeper/server/quorum/LeaderMXBean.html" title="interface in org.apache.zookeeper.server.quorum">LeaderMXBean</A></DL>
</PRE>

<P>
Leader MBean interface implementation.
<P>

<P>
<HR>

<P>
<!-- =========== FIELD SUMMARY =========== -->

<A NAME="field_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Field Summary</B></FONT></TH>
</TR>
</TABLE>
&nbsp;<A NAME="fields_inherited_from_class_org.apache.zookeeper.server.ZooKeeperServerBean"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Fields inherited from class org.apache.zookeeper.server.<A HREF="../../../../../org/apache/zookeeper/server/ZooKeeperServerBean.html" title="class in org.apache.zookeeper.server">ZooKeeperServerBean</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../../org/apache/zookeeper/server/ZooKeeperServerBean.html#zks">zks</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<!-- ======== CONSTRUCTOR SUMMARY ======== -->

<A NAME="constructor_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Constructor Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../org/apache/zookeeper/server/quorum/LeaderBean.html#LeaderBean(org.apache.zookeeper.server.quorum.Leader, org.apache.zookeeper.server.ZooKeeperServer)">LeaderBean</A></B>(<A HREF="../../../../../org/apache/zookeeper/server/quorum/Leader.html" title="class in org.apache.zookeeper.server.quorum">Leader</A>&nbsp;leader,
           <A HREF="../../../../../org/apache/zookeeper/server/ZooKeeperServer.html" title="class in org.apache.zookeeper.server">ZooKeeperServer</A>&nbsp;zks)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/zookeeper/server/quorum/LeaderBean.html#followerInfo()">followerInfo</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/zookeeper/server/quorum/LeaderBean.html#getCurrentZxid()">getCurrentZxid</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Current zxid of cluster.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/zookeeper/server/quorum/LeaderBean.html#getName()">getName</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.apache.zookeeper.server.ZooKeeperServerBean"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class org.apache.zookeeper.server.<A HREF="../../../../../org/apache/zookeeper/server/ZooKeeperServerBean.html" title="class in org.apache.zookeeper.server">ZooKeeperServerBean</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../../org/apache/zookeeper/server/ZooKeeperServerBean.html#getAvgRequestLatency()">getAvgRequestLatency</A>, <A HREF="../../../../../org/apache/zookeeper/server/ZooKeeperServerBean.html#getClientPort()">getClientPort</A>, <A HREF="../../../../../org/apache/zookeeper/server/ZooKeeperServerBean.html#getMaxClientCnxnsPerHost()">getMaxClientCnxnsPerHost</A>, <A HREF="../../../../../org/apache/zookeeper/server/ZooKeeperServerBean.html#getMaxRequestLatency()">getMaxRequestLatency</A>, <A HREF="../../../../../org/apache/zookeeper/server/ZooKeeperServerBean.html#getMaxSessionTimeout()">getMaxSessionTimeout</A>, <A HREF="../../../../../org/apache/zookeeper/server/ZooKeeperServerBean.html#getMinRequestLatency()">getMinRequestLatency</A>, <A HREF="../../../../../org/apache/zookeeper/server/ZooKeeperServerBean.html#getMinSessionTimeout()">getMinSessionTimeout</A>, <A HREF="../../../../../org/apache/zookeeper/server/ZooKeeperServerBean.html#getNumAliveConnections()">getNumAliveConnections</A>, <A HREF="../../../../../org/apache/zookeeper/server/ZooKeeperServerBean.html#getOutstandingRequests()">getOutstandingRequests</A>, <A HREF="../../../../../org/apache/zookeeper/server/ZooKeeperServerBean.html#getPacketsReceived()">getPacketsReceived</A>, <A HREF="../../../../../org/apache/zookeeper/server/ZooKeeperServerBean.html#getPacketsSent()">getPacketsSent</A>, <A HREF="../../../../../org/apache/zookeeper/server/ZooKeeperServerBean.html#getStartTime()">getStartTime</A>, <A HREF="../../../../../org/apache/zookeeper/server/ZooKeeperServerBean.html#getTickTime()">getTickTime</A>, <A HREF="../../../../../org/apache/zookeeper/server/ZooKeeperServerBean.html#getVersion()">getVersion</A>, <A HREF="../../../../../org/apache/zookeeper/server/ZooKeeperServerBean.html#isHidden()">isHidden</A>, <A HREF="../../../../../org/apache/zookeeper/server/ZooKeeperServerBean.html#resetLatency()">resetLatency</A>, <A HREF="../../../../../org/apache/zookeeper/server/ZooKeeperServerBean.html#resetMaxLatency()">resetMaxLatency</A>, <A HREF="../../../../../org/apache/zookeeper/server/ZooKeeperServerBean.html#resetStatistics()">resetStatistics</A>, <A HREF="../../../../../org/apache/zookeeper/server/ZooKeeperServerBean.html#setMaxClientCnxnsPerHost(int)">setMaxClientCnxnsPerHost</A>, <A HREF="../../../../../org/apache/zookeeper/server/ZooKeeperServerBean.html#setMaxSessionTimeout(int)">setMaxSessionTimeout</A>, <A HREF="../../../../../org/apache/zookeeper/server/ZooKeeperServerBean.html#setMinSessionTimeout(int)">setMinSessionTimeout</A>, <A HREF="../../../../../org/apache/zookeeper/server/ZooKeeperServerBean.html#setTickTime(int)">setTickTime</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.Object</B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.apache.zookeeper.server.ZooKeeperServerMXBean"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from interface org.apache.zookeeper.server.<A HREF="../../../../../org/apache/zookeeper/server/ZooKeeperServerMXBean.html" title="interface in org.apache.zookeeper.server">ZooKeeperServerMXBean</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../../org/apache/zookeeper/server/ZooKeeperServerMXBean.html#getAvgRequestLatency()">getAvgRequestLatency</A>, <A HREF="../../../../../org/apache/zookeeper/server/ZooKeeperServerMXBean.html#getClientPort()">getClientPort</A>, <A HREF="../../../../../org/apache/zookeeper/server/ZooKeeperServerMXBean.html#getMaxClientCnxnsPerHost()">getMaxClientCnxnsPerHost</A>, <A HREF="../../../../../org/apache/zookeeper/server/ZooKeeperServerMXBean.html#getMaxRequestLatency()">getMaxRequestLatency</A>, <A HREF="../../../../../org/apache/zookeeper/server/ZooKeeperServerMXBean.html#getMaxSessionTimeout()">getMaxSessionTimeout</A>, <A HREF="../../../../../org/apache/zookeeper/server/ZooKeeperServerMXBean.html#getMinRequestLatency()">getMinRequestLatency</A>, <A HREF="../../../../../org/apache/zookeeper/server/ZooKeeperServerMXBean.html#getMinSessionTimeout()">getMinSessionTimeout</A>, <A HREF="../../../../../org/apache/zookeeper/server/ZooKeeperServerMXBean.html#getNumAliveConnections()">getNumAliveConnections</A>, <A HREF="../../../../../org/apache/zookeeper/server/ZooKeeperServerMXBean.html#getOutstandingRequests()">getOutstandingRequests</A>, <A HREF="../../../../../org/apache/zookeeper/server/ZooKeeperServerMXBean.html#getPacketsReceived()">getPacketsReceived</A>, <A HREF="../../../../../org/apache/zookeeper/server/ZooKeeperServerMXBean.html#getPacketsSent()">getPacketsSent</A>, <A HREF="../../../../../org/apache/zookeeper/server/ZooKeeperServerMXBean.html#getStartTime()">getStartTime</A>, <A HREF="../../../../../org/apache/zookeeper/server/ZooKeeperServerMXBean.html#getTickTime()">getTickTime</A>, <A HREF="../../../../../org/apache/zookeeper/server/ZooKeeperServerMXBean.html#getVersion()">getVersion</A>, <A HREF="../../../../../org/apache/zookeeper/server/ZooKeeperServerMXBean.html#resetLatency()">resetLatency</A>, <A HREF="../../../../../org/apache/zookeeper/server/ZooKeeperServerMXBean.html#resetMaxLatency()">resetMaxLatency</A>, <A HREF="../../../../../org/apache/zookeeper/server/ZooKeeperServerMXBean.html#resetStatistics()">resetStatistics</A>, <A HREF="../../../../../org/apache/zookeeper/server/ZooKeeperServerMXBean.html#setMaxClientCnxnsPerHost(int)">setMaxClientCnxnsPerHost</A>, <A HREF="../../../../../org/apache/zookeeper/server/ZooKeeperServerMXBean.html#setMaxSessionTimeout(int)">setMaxSessionTimeout</A>, <A HREF="../../../../../org/apache/zookeeper/server/ZooKeeperServerMXBean.html#setMinSessionTimeout(int)">setMinSessionTimeout</A>, <A HREF="../../../../../org/apache/zookeeper/server/ZooKeeperServerMXBean.html#setTickTime(int)">setTickTime</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ========= CONSTRUCTOR DETAIL ======== -->

<A NAME="constructor_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Constructor Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="LeaderBean(org.apache.zookeeper.server.quorum.Leader, org.apache.zookeeper.server.ZooKeeperServer)"><!-- --></A><H3>
LeaderBean</H3>
<PRE>
public <B>LeaderBean</B>(<A HREF="../../../../../org/apache/zookeeper/server/quorum/Leader.html" title="class in org.apache.zookeeper.server.quorum">Leader</A>&nbsp;leader,
                  <A HREF="../../../../../org/apache/zookeeper/server/ZooKeeperServer.html" title="class in org.apache.zookeeper.server">ZooKeeperServer</A>&nbsp;zks)</PRE>
<DL>
</DL>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="getName()"><!-- --></A><H3>
getName</H3>
<PRE>
public java.lang.String <B>getName</B>()</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE>getName</CODE> in interface <CODE>org.apache.zookeeper.jmx.ZKMBeanInfo</CODE><DT><B>Overrides:</B><DD><CODE><A HREF="../../../../../org/apache/zookeeper/server/ZooKeeperServerBean.html#getName()">getName</A></CODE> in class <CODE><A HREF="../../../../../org/apache/zookeeper/server/ZooKeeperServerBean.html" title="class in org.apache.zookeeper.server">ZooKeeperServerBean</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>a string identifying the MBean</DL>
</DD>
</DL>
<HR>

<A NAME="getCurrentZxid()"><!-- --></A><H3>
getCurrentZxid</H3>
<PRE>
public java.lang.String <B>getCurrentZxid</B>()</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../org/apache/zookeeper/server/quorum/LeaderMXBean.html#getCurrentZxid()">LeaderMXBean</A></CODE></B></DD>
<DD>Current zxid of cluster.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../org/apache/zookeeper/server/quorum/LeaderMXBean.html#getCurrentZxid()">getCurrentZxid</A></CODE> in interface <CODE><A HREF="../../../../../org/apache/zookeeper/server/quorum/LeaderMXBean.html" title="interface in org.apache.zookeeper.server.quorum">LeaderMXBean</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="followerInfo()"><!-- --></A><H3>
followerInfo</H3>
<PRE>
public java.lang.String <B>followerInfo</B>()</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../org/apache/zookeeper/server/quorum/LeaderMXBean.html#followerInfo()">followerInfo</A></CODE> in interface <CODE><A HREF="../../../../../org/apache/zookeeper/server/quorum/LeaderMXBean.html" title="interface in org.apache.zookeeper.server.quorum">LeaderMXBean</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>information on current followers</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../org/apache/zookeeper/server/quorum/Leader.XidRolloverException.html" title="class in org.apache.zookeeper.server.quorum"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../../org/apache/zookeeper/server/quorum/LeaderElection.html" title="class in org.apache.zookeeper.server.quorum"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html?org/apache/zookeeper/server/quorum/LeaderBean.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="LeaderBean.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;<A HREF="#fields_inherited_from_class_org.apache.zookeeper.server.ZooKeeperServerBean">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
